# 31. Vaicājums: iegūt visas "Piezīmes", kas saistītas ar "Lauku"

Iegūt visus ar noteikto "Lauku" saistītos "Piezīmes".

SVARĪGI: atribūts "comment" IR NOVECOSINĀTS, lietojiet vietā "comments".

{% code overflow="wrap" lineNumbers="true" %}

```graphql
vaicājums GetAllFieldNotes {
  getFarms(farmUuids: ["d2bf8ef5-cde0-4500-b931-2edd0fb40781"]) {
    uuid
    fields(fieldUuids: ["d31240db-98e6-4cb0-b0a8-97ffe00f5e0d"]) {
      uuid
      nosaukums
      piezīmes {
        uuid
        centroid {
          platuma
          garuma
        }
        izveidesDatums
        updatedDate
        tips
        comment #NOVECOJIS
        vectorAnalysisMap {
          uuid
          fieldUuid
        }
      }
    }
  }
}

```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/piezimes-piespraudes/31.-vaicajums-iegut-visas-piezimes-kas-saistitas-ar-lauku.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
